# Copyright 2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7
PYTHON_COMPAT=( python2_7 python3_{4,5,6,7} )

inherit distutils-r1

DESCRIPTION="Manipulate DNS records on various DNS providers in a standardized way."
HOMEPAGE="https://github.com/AnalogJ/lexicon"
GITHUB_USER="AnalogJ"
GITHUB_TAG="v${PV}"
SRC_URI="https://github.com/${GITHUB_USER}/${PN}/archive/${GITHUB_TAG}.tar.gz -> ${P}.tar.gz"


LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""

DEPEND="dev-python/pyyaml[${PYTHON_USEDEP}]
		dev-python/future[${PYTHON_USEDEP}]
		dev-python/tldextract[${PYTHON_USEDEP}]
		"
RDEPEND="${DEPEND}"
BDEPEND=""
